theblog.migrations.0009_alpha_total.Migration Class Reference
Inheritance diagram for theblog.migrations.0009_alpha_total.Migration:
[legend]
Collaboration diagram for theblog.migrations.0009_alpha_total.Migration:
[legend]

## Static Public Attributes

list | dependencies
list | operations

## Member Data Documentation

## dependencies

list theblog.migrations.0009_alpha_total.Migration.dependencies

static

Initial value:
= [
migrations.swappable_dependency(settings.AUTH_USER_MODEL),
('theblog', '0008_post_tagname'),
]

## operations

list theblog.migrations.0009_alpha_total.Migration.operations

static

Initial value:
= [
migrations.CreateModel(
name='total',
fields=[
('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
('ML', models.IntegerField(default=0)),
('RL', models.IntegerField(default=0)),
('DIP', models.IntegerField(default=0)),
('MATHS', models.IntegerField(default=0)),
('userid', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to=settings.AUTH_USER_MODEL)),
],
),
migrations.CreateModel(
name='alpha',
fields=[
('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
('ML', models.IntegerField(default=0)),
('RL', models.IntegerField(default=0)),
('DIP', models.IntegerField(default=0)),
('MATHS', models.IntegerField(default=0)),
('userid', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to=settings.AUTH_USER_MODEL)),
],
),
]

The documentation for this class was generated from the following file:

- ablog/theblog/migrations/0009_alpha_total.py